﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microsoft.Practices.Composite.Presentation.Commands;
using System.Windows.Input;
using System.ComponentModel;

namespace WpfApplication7
{
    public class ScoreListViewModel : INotifyPropertyChanged
    {
        public ScoreListViewModel()
        {
            this.StudentList = StudentService.RetrieveStudentList();
            this.SelectedStudent = this.StudentList[0];
        }

        public ScoreListView View { get; set; }

        private Student selectedStudent;
        public Student SelectedStudent
        {
            get
            {
                return this.selectedStudent;
            }
            set
            {
                if (this.selectedStudent != value)
                {
                    this.selectedStudent = value;
                    OnPropertyChanged("SelectedStudent");
                }
            }
        }        

        public List<Student> StudentList{ get; set; }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = this.PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }
}
